registerOutputEvent("fxDTSBrick","setChestState","bool 0",0);
//shows a checkbox

function fxDTSBrick::setChestState(%this,%bool) 
{ 
	%data=%this.getDataBlock();
    
	%name=%data.getName();
    
	if(%name!$="brickSingleChestOpenData" && %name!$="brickSingleChestData")
	return;
    
	if(%bool && %data!$="brickSingleChestOpenData")
       
	%this.setDataBlock("brickSingleChestOpenData");
    
	else 

	if(!%bool && %data!$="brickSingleChestData")

	%this.setDataBlock("brickSingleChestData");
}

//Datablocks

datablock fxDTSBrickData(brickSingleChestData)
{
	brickFile = "./SingleChest.blb";
	category = "Special";
	subCategory = "Interactive";
	uiName = "Single Chest";
	iconName = "Add-Ons/Brick_SingleChest/SingleChest";
};

datablock fxDTSBrickData(brickSingleChestOpenData)
{
	brickFile = "./SingleChestOpen.blb";
	category = "";
	subCategory = "";
	uiName = "Single Chest Open";
	iconName = "";
};

//Events

package SingleChest
{

function brickSingleChestData::OnPlant(%blah,%brick)
{
	Parent::OnPlant(%blah,%brick);

	%enabled     = 1;
	%delay       = 0;
	%inputEvent  = "OnActivate";
	%target      = "Self";
	%outputEvent = "ToggleEventEnabled";
	%var1        = "1 2";
	%brick.addEvent(%enabled, %delay, %inputEvent, %target, %outputEvent, %var1);

	%enabled     = 1;
	%delay       = 0;
	%inputEvent  = "OnActivate";
	%target      = "Self";
	%outputEvent = "setChestState";
	%var1        = "1";
	%brick.addEvent(%enabled, %delay, %inputEvent, %target, %outputEvent, %var1);

	%enabled     = 0;
	%delay       = 0;
	%inputEvent  = "OnActivate";
	%target      = "Self";
	%outputEvent = "setChestState";
	%var1        = "0";
	%brick.addEvent(%enabled, %delay, %inputEvent, %target, %outputEvent, %var1);
}

};

ActivatePackage(SingleChest);